Name:           optiimage
Version:        1.0.0
Release:        %mkrel 2
Summary:        Useful image compressor that supports PNG, JPEG, WebP and SVG file types
Group:          Graphical desktop/KDE
License:        GPLv2+ and GPLv3+
URL:            https://apps.kde.org/optiimage/
Source0:        https://download.kde.org/stable/optiimage/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6Kirigami)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6KirigamiAddons)

BuildRequires:  cmake(QCoro6)
BuildRequires:  reuse

Requires:       kirigami
Requires:       kirigami-addons


%description
Optimize your images with OptiImage, a useful image compressor
that supports PNG, JPEG, WebP and SVG file types.

It supports both lossless and lossy compression modes with an
option whether to keep or not metadata of images. It additionally
has a safe mode, where a new image is created instead of
overwriting the old one.

It uses the following tools:

  * oxipng for PNG images
  * jpegoptim for JPEG images
  * scour for SVG images
  * cwebp for WebP images

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name}

%files -f %{name}.lang
%doc README.md
%license LICENSES/*
%_kf6_bindir/optiimage
%_kf6_applicationsdir/org.kde.optiimage.desktop
%_kf6_iconsdir/hicolor/scalable/apps/org.kde.optiimage.svg
%_kf6_metainfodir/org.kde.optiimage.metainfo.xml


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 1.0.0-2.mga10
+ Revision: 2230553
- Mageia 10 Mass Rebuild

* Sun Dec 01 2024 daviddavid <daviddavid> 1.0.0-1.mga10
+ Revision: 2120261
- initial package optiimage

